Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pcl.fonts
Class PCLSoftFontManager

    java.lang.Object
      org.apache.fop.render.pcl.fonts.PCLSoftFontManager

    public class PCLSoftFontManager

extends java.lang.Object

Nested Class Summary
`static class` | `PCLSoftFontManager.PCLTextSegment`

Constructor Summary
`PCLSoftFontManager(java.util.Map<Typeface,PCLFontReader> fontReaderMap)`

Method Summary
`byte[]` | `assignFontID(int fontID)`
`PCLSoftFont` | `getSoftFont(Typeface font, java.lang.String text)` Finds a soft font associated with the given typeface.
`PCLSoftFont` | `getSoftFontFromID(int index)`
`int` | `getSoftFontID(Typeface tf)`
`java.util.List<PCLSoftFontManager.PCLTextSegment>` | `getTextSegments(java.lang.String text, Typeface font)`
`java.io.ByteArrayOutputStream` | `makeSoftFont(Typeface font, java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PCLSoftFontManager

    public PCLSoftFontManager(java.util.Map<Typeface,PCLFontReader> fontReaderMap)

Method Detail

### makeSoftFont

    public java.io.ByteArrayOutputStream makeSoftFont(Typeface font,
                                                      java.lang.String text)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### assignFontID

    public byte[] assignFontID(int fontID)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSoftFont

    public PCLSoftFont getSoftFont(Typeface font,
                                   java.lang.String text)

  Finds a soft font associated with the given typeface. If more than one instance of the font exists (as each font is bound and restricted to 255 characters) it will find the last font with available capacity.

  Parameters:
    `font` - The typeface associated with the soft font
  Returns:
    Returns the PCLSoftFont with available capacity

### getSoftFontFromID

    public PCLSoftFont getSoftFontFromID(int index)

### getSoftFontID

    public int getSoftFontID(Typeface tf)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTextSegments

    public java.util.List<PCLSoftFontManager.PCLTextSegment> getTextSegments(java.lang.String text,
                                                                             Typeface font)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.